## plasma-sdk 5.5.5

=== CMakeLists.txt ===
project(plasma-sdk)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12)

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.8.0")

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasmate requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasmate [options]' there.")
endif()

# Make CPack available to easy generate binary packages
include(CPack)

include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM 1.8.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core DBus Gui Qml Quick Svg WebKit WebKitWidgets Widgets Xml)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
   set(CMAKE_AUTOMOC_MOC_OPTIONS "-DKDE_NO_DEPRECATED")
endif()

################# Enable C++11 features for clang and gcc #################

if(UNIX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
endif()


# Load CMake, Compiler and InstallDirs settings from KF5 and the following are already somewhat "done" tier1/tier2 libs from kdelibs:
find_package(KF5 REQUIRED COMPONENTS
    Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes
    KIO NewStuff Parts Plasma PlasmaQuick Service TextEditor WidgetsAddons XmlGui WindowSystem)

#########################################################################

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

option(PLASMATE_BUILD_WITH_KDEVPLATFORM "Build the plasmate repository with KDevPlatform Support" OFF)
message("Plasmate depends on Kdevplatform. So since Kdevplatform has not been released yes, Plasmate's build is being disabled by default for the time being.")
message("Please pass -DPLASMATE_BUILD_WITH_KDEVPLATFORM=ON in order to build the Plasmate")

add_subdirectory(cuttlefish)
add_subdirectory(engineexplorer)
add_subdirectory(plasmoidviewer)
add_subdirectory(themeexplorer)
#add_subdirectory(remote-widgets-browser)
#add_subdirectory(wallpaperviewer)
if(PLASMATE_BUILD_WITH_KDEVPLATFORM)
    add_subdirectory(plasmate)
endif()


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== cuttlefish/src/CMakeLists.txt ===

set(cuttlefish_SRCS
    main.cpp
    view.cpp
    iconmodel.cpp
)

add_executable(cuttlefish ${cuttlefish_SRCS})
target_compile_definitions(cuttlefish PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(cuttlefish
    Qt5::Quick
    Qt5::Gui
    Qt5::Widgets # for QDirModel
    KF5::Plasma
    KF5::KIOWidgets
    KF5::Declarative
    KF5::I18n
    KF5::IconThemes
    KF5::Package
)

install( TARGETS cuttlefish ${INSTALL_TARGETS_DEFAULT_ARGS} )

add_subdirectory(editorplugin)

=== plasmate/app/CMakeLists.txt ===
# needed for packagehandler/* and editors/metadata/metadatahandler.cpp
# in order to avoid a hell of "#include ../../foo.h"
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(startpage_SRCS
    startpage/startpage.cpp
    startpage/projecthandler.cpp
    startpage/projectmanager.cpp
)

qt5_wrap_ui(startpage_SRCS
   startpage/startpage.ui
)

set (PlasMate_SRC
    plasmateextention.cpp
    plasmateapp.cpp
    main.cpp
    ../editors/metadata/metadatahandler.cpp
    ${packagehandler_SRCS}
    ${startpage_SRCS}
)

add_executable(plasmate ${PlasMate_SRC})
target_compile_definitions(plasmate PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(plasmate
                      KF5::NewStuff
                      Qt5::Gui
                      Qt5::Widgets
                      KF5::PlasmaQuick
                      KF5::Archive
                      #${KDEPIMLIBS_KPIMUTILS_LIBS}
                      ${KDEVPLATFORM_INTERFACES_LIBRARIES}
                      ${KDEVPLATFORM_SHELL_LIBRARIES}
)

install(TARGETS plasmate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS plasmate.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES plasmateui.rc  DESTINATION ${DATA_INSTALL_DIR}/plasmate)
install(FILES plasmate.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== plasmate/plugins/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_subdirectory(plasmaprojectmanager)
add_subdirectory(savesystemview)

=== plasmate/app/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

# projecthandlertest
set(projecthandlertest_SRCS ../startpage/projecthandler.cpp
                            ../../editors/metadata/metadatahandler.cpp
                            ../../packagehandler/themehandler.cpp
                            ../../packagehandler/packagehandler.cpp
)

set(projecthandlertest_LIBS Qt5::Widgets KF5::Plasma)

PLASMATE_UNIT_TEST(projecthandlertest "${projecthandlertest_SRCS}"
                                      "${projecthandlertest_LIBS}"
)

=== plasmate/plugins/plasmaprojectmanager/CMakeLists.txt ===
set(kdevplasmamanager_SRCS
    plasmaprojectmanager.cpp
    plasmaitem.cpp
    ${packagehandler_SRCS}
)

add_library(kdevplasmamanager MODULE ${kdevplasmamanager_SRCS})
target_link_libraries(kdevplasmamanager
    KF5::KIOWidgets
    KDev::Project
    KDev::Util
    KF5::Plasma
)

install(TARGETS kdevplasmamanager DESTINATION ${PLUGIN_INSTALL_DIR}/kdevplatform/${KDEV_PLUGIN_VERSION} )


########### install files ###############

configure_file(kdevplasmamanager.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevplasmamanager.desktop)
kcoreaddons_desktop_to_json(kdevplasmamanager ${CMAKE_CURRENT_BINARY_DIR}/kdevplasmamanager.desktop)

=== plasmate/plugins/savesystemview/CMakeLists.txt ===
set(kdevsavesystemview_SRCS
    savesystemviewplugin.cpp
    savesystemview.cpp
    commitsmodel.cpp
    git.cpp
)

add_library(kdevsavesystemview MODULE ${kdevsavesystemview_SRCS})
target_link_libraries(kdevsavesystemview ${KDEVPLATFORM_INTERFACES_LIBRARIES}
                                         ${KDEVPLATFORM_PROJECT_LIBRARIES}
                                         ${KDEVPLATFORM_UTIL_LIBRARIES}
                                         ${KDEVPLATFORM_VCS_LIBRARIES}
                                         Qt5::Quick
                                         KF5::Declarative
)

install(TARGETS kdevsavesystemview DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

configure_file(kdevsavesystemview.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevsavesystemview.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevsavesystemview.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES kdevsavesystemview.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsavesystemview )
install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/kdevsavesystemview)

## plasma-sdk 5.4.2

=== debian/changelog ===
plasma-sdk (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:01:25 +0100

plasma-sdk (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:24:20 +0100

plasma-sdk (4:5.4.0-0ubuntu1) wily; urgency=medium

  * Add version to plasma-framework build-dep
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:56:08 +0100

plasma-sdk (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:20:55 +0200

plasma-sdk (4:5.3.2-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * Initial Debian release.
  * New upstream release (5.3.1).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:37:30 +0000

plasma-sdk (4:5.3.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Jun 2015 17:35:30 +0200

plasma-sdk (4:5.3.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 20:35:20 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               gettext,
               kdevplatform-dev,
               kio-dev,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5package-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               openbox,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev (>= 5.13.0),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-sdk.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasmate (<< 4:5.2.50)
Replaces: plasmate (<< 4:5.2.50)
Recommends: bash (>= 4.3)
Suggests: git
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

Package: plasma-sdk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: plasma-sdk (= ${binary:Version}), ${misc:Depends}
Description: IDE tailored for development of Plasma components - debug symbols
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

## plasma-sdk 5.5.5

=== debian/changelog ===
plasma-sdk (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:55:54 -0700

plasma-sdk (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:28:44 +0100

plasma-sdk (5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:51 +0100

plasma-sdk (4:5.4.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release (LP: #1518598)
  * Install translations for cuttlefish_editorplugin

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:44:20 +0100

plasma-sdk (5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:08 +0200

plasma-sdk (5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:16 +0200

plasma-sdk (5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:52:39 +0200

plasma-sdk (5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 23:33:14 +0200

plasma-sdk (5.3.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Initial Debian release.
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 11:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,42 +5,42 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.8.0~),
+               extra-cmake-modules (>= 5.18.0~),
                gettext,
                kdevplatform-dev,
-               kio-dev,
-               libkf5archive-dev,
-               libkf5attica-dev,
-               libkf5auth-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5declarative-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5jobwidgets-dev,
-               libkf5kdelibs4support-dev,
-               libkf5newstuff-dev,
-               libkf5package-dev,
-               libkf5parts-dev,
-               libkf5service-dev,
-               libkf5solid-dev,
-               libkf5sonnet-dev,
-               libkf5texteditor-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               kio-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5attica-dev (>= 5.18.0~),
+               libkf5auth-dev (>= 5.18.0~),
+               libkf5bookmarks-dev (>= 5.18.0~),
+               libkf5codecs-dev (>= 5.18.0~),
+               libkf5completion-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5declarative-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5jobwidgets-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5newstuff-dev (>= 5.18.0~),
+               libkf5package-dev (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5solid-dev (>= 5.18.0~),
+               libkf5sonnet-dev (>= 5.18.0~),
+               libkf5texteditor-dev (>= 5.18.0~),
+               libkf5textwidgets-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                libqt5svg5-dev (>= 5.4),
                libqt5webkit5-dev,
                libqt5x11extras5-dev,
                openbox,
                pkg-kde-tools (>> 0.15.15),
-               plasma-framework-dev (>= 5.13.0),
+               plasma-framework-dev (>= 5.18.0~),
                qtbase5-dev (>= 5.4.0~),
                qtdeclarative5-dev (>= 5.4),
                xauth,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-sdk-dbg

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]*)/plasma-sdk-(.*)\.tar\.xz
http://download.kde.org/stable/plasma/([\d\.]*)/plasma-sdk-(.*)\.tar\.xz

## plasma-sdk 5.7.5

=== debian/changelog ===
plasma-sdk (4:5.7.5-0ubuntu2) yakkety; urgency=medium

  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:02:47 +0200

plasma-sdk (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:29:59 -0500

plasma-sdk (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Merged with Debian
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:08:34 +0000

plasma-sdk (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:10:12 +0100

plasma-sdk (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:27:16 -0700

plasma-sdk (5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Jul 2016 09:45:18 +0200

plasma-sdk (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:17:49 +0200

plasma-sdk (5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Disabled kdevplatform-dev build dep till it gets released
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Disable auto tests at build time
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:27:49 +0200

plasma-sdk (5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:00 +0100

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               gettext,
               kdevplatform-dev,
               kio-dev (>= 5.24.0~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5attica-dev (>= 5.24.0~),
               libkf5auth-dev (>= 5.24.0~),
               libkf5bookmarks-dev (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemmodels-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5jobwidgets-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5package-dev (>= 5.24.0~),
               libkf5parts-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5solid-dev (>= 5.24.0~),
               libkf5sonnet-dev (>= 5.24.0~),
               libkf5texteditor-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               openbox,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev (>= 5.24.0~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasmate (<< 4:5.2.50)
Replaces: plasmate (<< 4:5.2.50)
Recommends: bash (>= 4.3)
Suggests: git
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-sdk-dbg (<= 5.5.5-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## plasma-sdk 5.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(plasma-sdk)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.6")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12)
 
@@ -24,7 +24,18 @@
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core DBus Gui Qml Quick Svg WebKit WebKitWidgets Widgets Xml)
+find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)
+
+find_package(Qt5WebKit ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5WebKit PROPERTIES
+         PURPOSE "Required for plasmate"
+         TYPE OPTIONAL
+         )
+find_package(Qt5WebKitWidgets ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5WebKitWidgets PROPERTIES
+         PURPOSE "Required for plasmate"
+         TYPE OPTIONAL
+         )
 
 find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
 set_package_properties(Qt5Test PROPERTIES
@@ -36,11 +47,25 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
+find_package(KDevPlatform 4.90.90)
+set_package_properties(KDevPlatform PROPERTIES
+    PURPOSE "Required for plasmate"
+    TYPE OPTIONAL
+)
+
+find_package(KF5Kirigami 1.0)
+set_package_properties(KF5Kirigami PROPERTIES
+    DESCRIPTION "KDE’s lightweight user interface framework for mobile and convergent applications"
+    URL "https://techbase.kde.org/Kirigami"
+    PURPOSE "Required by lookandfeelexplorer"
+    TYPE RUNTIME
+)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
    set(KDE_NO_DEPRECATED TRUE)
@@ -56,8 +81,8 @@
 
 # Load CMake, Compiler and InstallDirs settings from KF5 and the following are already somewhat "done" tier1/tier2 libs from kdelibs:
 find_package(KF5 REQUIRED COMPONENTS
-    Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes
-    KIO NewStuff Parts Plasma PlasmaQuick Service TextEditor WidgetsAddons XmlGui WindowSystem)
+    Archive Completion Config ConfigWidgets CoreAddons DBusAddons Declarative I18n IconThemes ItemModels
+    KIO Plasma PlasmaQuick Service TextEditor WidgetsAddons XmlGui WindowSystem)
 
 #########################################################################
 
@@ -66,20 +91,18 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
 
-option(PLASMATE_BUILD_WITH_KDEVPLATFORM "Build the plasmate repository with KDevPlatform Support" OFF)
-message("Plasmate depends on Kdevplatform. So since Kdevplatform has not been released yes, Plasmate's build is being disabled by default for the time being.")
-message("Please pass -DPLASMATE_BUILD_WITH_KDEVPLATFORM=ON in order to build the Plasmate")
-
 add_subdirectory(cuttlefish)
 add_subdirectory(engineexplorer)
 add_subdirectory(plasmoidviewer)
 add_subdirectory(themeexplorer)
+add_subdirectory(lookandfeelexplorer)
 #add_subdirectory(remote-widgets-browser)
 #add_subdirectory(wallpaperviewer)
-if(PLASMATE_BUILD_WITH_KDEVPLATFORM)
+if (KDevPlatform_FOUND AND Qt5WebKit_FOUND AND Qt5WebKitWidgets_FOUND)
     add_subdirectory(plasmate)
 endif()
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== plasmate/CMakeLists.txt ===
# Find needed packages

#TODO this dependency is inside from the KdepimLibs which has not
#been ported yet. So we are disabling it.
#find_package(QGpgme REQUIRED) # Maybe check for GPGME_PTHREAD_FOUND ?
#find_package(KdepimLibs REQUIRED)

# Find optional executables
find_program(GIT_EXECUTABLE git)

find_package(KF5 REQUIRED COMPONENTS
    KDELibs4Support
    NewStuff
    Parts
)

#install( FILES previewer/windowswitcher/thumbnails/konqueror.png
#previewer/windowswitcher/thumbnails/kmail.png
#previewer/windowswitcher/thumbnails/systemsettings.png
#previewer/windowswitcher/thumbnails/dolphin.png
#DESTINATION ${DATA_INSTALL_DIR}/plasmate)
#install( FILES previewer/windowswitcher/tabboxdelegate.qml DESTINATION ${DATA_INSTALL_DIR}/plasmate)

##standalone applications
#plasmaremoteinstaller
set (PlasmaRemoteInstaller_SRC
    publisher/remoteinstaller/remoteinstallerdialog.cpp
    publisher/remoteinstaller/remoteinstaller.cpp
    publisher/remoteinstaller/standalone/main.cpp
    publisher/remoteinstaller/standalone/plasmaremoteinstaller.cpp
)

qt5_wrap_ui (PlasmaRemoteInstaller_SRC
   publisher/remoteinstaller/remoteinstaller.ui
)

add_executable(plasmaremoteinstaller ${PlasmaRemoteInstaller_SRC})
target_link_libraries(plasmaremoteinstaller
                      KF5::KIOCore
                      KF5::KIOWidgets
                      KF5::KDELibs4Support
)

#install(TARGETS plasmaremoteinstaller ${INSTALL_TARGETS_DEFAULT_ARGS})

#kwin-windowswitcherpreviewer
#set (KWin-WindowSwitcherPreviewer_SRC
#    previewer/windowswitcher/windowswitcher.cpp
#    previewer/windowswitcher/thumbnailitem.cpp
#    previewer/windowswitcher/tabboxpreviewer.cpp
#    previewer/previewer.cpp
#    previewer/windowswitcher/standalone/main.cpp
#    previewer/windowswitcher/standalone/windowswitcherpreviewer.cpp
#)

#add_executable(kwin-windowswitcherpreviewer ${KWin-WindowSwitcherPreviewer_SRC})
#target_link_libraries(kwin-windowswitcherpreviewer
#                      KF5::KDeclarative
#                      Qt5::Quick
#                      Qt5::KIO
#)

#install(TARGETS kwin-windowswitcherpreviewer ${INSTALL_TARGETS_DEFAULT_ARGS})

#plasmakconfigxteditor
set(plasmakconfigxt_SRCS
     editors/kconfigxt/kconfigxteditor.cpp
     editors/kconfigxt/kconfigxtreader.cpp
     editors/kconfigxt/kconfigxtwriter.cpp
     editors/kconfigxt/standalone/plasmakconfigxteditor.cpp
     editors/kconfigxt/standalone/main.cpp
)

qt5_wrap_ui (plasmakconfigxt_SRCS
    editors/kconfigxt/kconfigxteditor.ui
)

add_executable(plasmakconfigxteditor ${plasmakconfigxt_SRCS})
target_link_libraries(plasmakconfigxteditor
                        Qt5::Widgets
                        KF5::CoreAddons
                        KF5::ConfigCore
                        KF5::KIOCore
                        KF5::I18n
                        Qt5::Xml
                        KF5::Completion
                        KF5::WidgetsAddons
                        KF5::KIOWidgets
)

install(TARGETS plasmakconfigxteditor ${INSTALL_TARGETS_DEFAULT_ARGS})

install(DIRECTORY templates DESTINATION ${DATA_INSTALL_DIR}/plasmate)

set(packagehandler_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/packagehandler/packagehandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/packagehandler/plasmoidhandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/packagehandler/themehandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/editors/metadata/metadatahandler.cpp
)

if(BUILD_TESTING)
    include(ECMMarkAsTest)
    macro(PLASMATE_UNIT_TEST testname srcs libraries)
        set(testname_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/${testname}.cpp
                          ${srcs}
        )

        add_executable(${testname} ${testname_SRCS})
        add_test(plasmate-${testname} ${testname})

        ecm_mark_as_test(${testname})

        target_link_libraries(${testname} ${libraries} Qt5::Test Qt5::Core)
    endmacro()

    add_subdirectory(tests)
endif()

add_subdirectory(app)
add_subdirectory(plugins)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-sdk (5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)
  * Add missing runtime dependency of qml-module-org-kde-kirigami.
    Thanks to Luigi Toscano for reporting (Closes: 840695)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 Mar 2017 18:51:34 +0100

plasma-sdk (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:22 +0100

plasma-sdk (5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:38:19 +0100

plasma-sdk (5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:24:14 +0200

plasma-sdk (5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:59:35 +0200

plasma-sdk (5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:06:39 +0200

plasma-sdk (5.7.4-2) unstable; urgency=medium

  * Team upload.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove plasma-sdk.install, no more used now
  * Remove dbgsym migration from plasma-sdk-dbg, since the latter does not
    exist in any stable Debian release.
  * Remove the plasmate breaks/replaces, since plasmate was never in Debian.

 -- Pino Toscano <pino@debian.org>  Mon, 05 Sep 2016 20:55:38 +0200

plasma-sdk (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:59 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               gettext,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5package-dev,
               libkf5parts-dev,
               libkf5plasma-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-sdk.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-sdk.git

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash (>= 4.3)
Suggests: git
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.9.4

=== debian/changelog ===
plasma-sdk (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:38 +0000

plasma-sdk (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:32 +0000

plasma-sdk (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:42 +0000

plasma-sdk (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:39 +0000

plasma-sdk (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:59 +0000

plasma-sdk (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)
  * Update depends with kirigami

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:51 +0000

plasma-sdk (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  * Add build dep on git

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 12 Dec 2016 23:58:31 +0000

plasma-sdk (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, dropping the -dbg package and the *.install file
    in the process

  [ Rik Mills ]
  * New upstream release (5.8.4)
  
  [ Walter Lapchynski ]
  * Added plasmate.desktop to lintian-overrides

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:15 +0000

plasma-sdk (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Add lookandfeelexplorer to install files
  * Remove localisation files no longer being built
  * Add build depends on kirigami

 -- Rik Mills <rik.mills88@gmail.com>  Sat, 20 Aug 2016 12:48:03 +0100

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               git,
               kdevplatform-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5attica-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5package-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>> 0.15.15),
               qml-module-org-kde-kirigami (>= 1.1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash (>= 4.3)
Suggests: git
Breaks: plasmate (<< 4:5.2.50)
Replaces: plasmate (<< 4:5.2.50)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 5.9.5

=== debian/changelog ===
plasma-sdk (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:56 +0100

## plasma-sdk 5.10.5

=== debian/changelog ===
plasma-sdk (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:35 +0100

plasma-sdk (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:30 +0100

plasma-sdk (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:05 +0100

plasma-sdk (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:19 +0100

plasma-sdk (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:07 +0100

plasma-sdk (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * Add new qml runtime dependency: qml-module-org-kde-draganddrop
  * Remove build dependencies on qt5webkit and kdevplatform from
    debian/control. These were only required for plasmate, which
    has been removed from the sources due to being unmaintained.
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:21 +0100

plasma-sdk (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:24 +0100

plasma-sdk (4:5.9.2-0ubuntu2) UNRELEASED; urgency=medium

  * For now build without optional git depends. Causes FTBFS.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Feb 2017 13:51:30 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.36.0~),
               gettext,
               kirigami2-dev,
               libkf5archive-dev (>= 5.36.0~),
               libkf5attica-dev (>= 5.36.0~),
               libkf5auth-dev (>= 5.36.0~),
               libkf5bookmarks-dev (>= 5.36.0~),
               libkf5codecs-dev (>= 5.36.0~),
               libkf5completion-dev (>= 5.36.0~),
               libkf5config-dev (>= 5.36.0~),
               libkf5configwidgets-dev (>= 5.36.0~),
               libkf5coreaddons-dev (>= 5.36.0~),
               libkf5dbusaddons-dev (>= 5.36.0~),
               libkf5declarative-dev (>= 5.36.0~),
               libkf5i18n-dev (>= 5.36.0~),
               libkf5iconthemes-dev (>= 5.36.0~),
               libkf5itemmodels-dev (>= 5.36.0~),
               libkf5itemviews-dev (>= 5.36.0~),
               libkf5jobwidgets-dev (>= 5.36.0~),
               libkf5kdelibs4support-dev (>= 5.36.0~),
               libkf5kio-dev (>= 5.36.0~),
               libkf5newstuff-dev (>= 5.36.0~),
               libkf5package-dev (>= 5.36.0~),
               libkf5parts-dev (>= 5.36.0~),
               libkf5plasma-dev (>= 5.36.0~),
               libkf5service-dev (>= 5.36.0~),
               libkf5solid-dev (>= 5.36.0~),
               libkf5sonnet-dev (>= 5.36.0~),
               libkf5texteditor-dev (>= 5.36.0~),
               libkf5textwidgets-dev (>= 5.36.0~),
               libkf5widgetsaddons-dev (>= 5.36.0~),
               libkf5windowsystem-dev (>= 5.36.0~),
               libkf5xmlgui-dev (>= 5.36.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qml-module-org-kde-kirigami (>= 1.1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash (>= 4.3)
Breaks: plasmate (<< 4:5.2.50)
Replaces: plasmate (<< 4:5.2.50)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.
